*--- evaluate *:suffix in header and return...
*--- this routine is necessary when doing Event Driven apps.
*--- The windows that house the gets and browse can not be the same across screens
*--- since they would be defined at the same time. So this attaches a unique suffix
*--- to each window name. This suffix is defined in the setup code with the directive
*--- *:SUFFIX ??  ?? can be any code to Identify the screen. ie. AP Accounts Receivable...
parameter tcdirective

do case

   case tcdirective = "SUFFIX"
      return alltrim(substr(mline(m.setupcode,atcline("*:suffix",m.setupcode)), ;
         at(" ",mline(m.setupcode,atcline("*:suffix",m.setupcode)))+1))
         
   case tcdirective = "CONTAINER"
      return alltrim(substr(mline(m.setupcode,atcline("*:container",m.setupcode)), ;
         at(" ",mline(m.setupcode,atcline("*:container",m.setupcode)))+1))       


endcase         